/* Responsive Styles */

/* XX-Large devices (larger desktops, 1400px and up) */
@media (max-width: 1366px) {
    .hero-banner {
        background-size:cover;
        background-position: 0 0px;
    }

    .cta-image-wrapper {
        right: -70px;
    }

    .about-us-banner .container {
        max-width: 1140px;
        left: 47%;
    }

    .trust-new-card-inner {
        height: 100%;
    }

    .contact-info-content {
        font-size: 17px;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (max-width: 1200px) {
    .navbar.navbar-pill .nav-link {
        padding-left: 10px;
        padding-right: 10px;
    }


}

/* Large devices (desktops, 992px and up) */

/* Location Details Section Responsive */
@media (max-width: 991px) {
    .location-details-section {
        padding: 4rem 0;
    }

    .location-title {
        text-align: center;
        margin-top: 2rem;
    }

    .location-description {
        text-align: center;
    }

    .section-subtitle-badge {
        justify-content: center;
    }

    .location-cta {
        text-align: center;
    }

    .navbar-pill .dropdown-menu .dropdown-item,
    .navbar-pill .dropdown-menu .nav-link {
        white-space: pre-wrap !important;
    }

    .offcanvas-header .btn-close {
        opacity: 1;
        width: 35px;
        height: 35px;
        padding: 0;
        border: 1px solid #c30b04;
        border-radius: 100%;
        margin-right: 0px;
        background: url(../images/close-icon.svg) no-repeat center center;
        background-size: 30%;
    }

    ul.dropdown-menu.border-0.shadow-sm.show {
        padding: 10px 0 !important;
        padding-left: 0 !important;
        margin-top: 15px;
        border-radius: 10px;
        box-shadow: none !important;
    }

    .problem-section .col-lg-6.ps-lg-4 {
        margin-top: -25px;
    }

    .offcanvas .genie-text {
        display: flex;
    }

    .btn-call-content img {
        width: 75px;
        height: 75px;
    }

    .offcanvas .btn-call-content img {
        width: 85px;
        height: 85px;
    }

    .about-features li.d-flex {
        align-items: flex-start;
    }

    .problem-list .fa-circle-xmark {
        margin-top: 1px;
    }

    .pool-sec img {
        height: 300px;
    }

    .navbar.navbar-pill .nav-link {
        border-bottom: 1px solid #eee;

    }

    .offcanvas-body .nav-link {
        padding: 13px 0;
    }

    .offcanvas .btn-call-content {
        height: 61px;
    }

    .navbar.navbar-pill {
        width: 95%;
    }

    .about-us-banner .container {
        width: 92%;
    }

    .navbar-toggler {
        width: 52px;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 50px;
        border-radius: 12px;
        /* background: #fcb900; */
        margin-right: 11px;
    }

    .navbar-toggler:focus {
        box-shadow: none;
    }


    .offcanvas-body .btn-call {
        width: 90%;
    }

    .navbar-toggler-icon {
        background: url(../images/nav-menu.svg) no-repeat center center;
    }

    .offcanvas-header .btn-close:focus {
        box-shadow: none;
    }

}

/* Medium devices (tablets, 768px and up) */
@media (max-width: 768px) {}

/* Small devices (landscape phones, 576px and up) */
@media (max-width: 575px) {
    .problem-image-wrapper img {
        object-fit: contain !important;
    }

    .rating-badge {
        right: 0;
        bottom: 13px;
        left: 0;
        width: 100%;
        transform: none !important;
        padding-right: 0 !important;
        background: #fff;
    }

    .problem-section {
        padding-top: 0;
    }

    .trust-section {
        margin-bottom: 0;
    }

    .problem-list {
        gap: 18px;
        margin-bottom: 2.2rem !important;
    }

    .trust-wrapper {
        padding: 20px 0 0;
    }

    .service-card {
        padding: 12px;
    }

    .service-card h3 {
        font-size: 1rem;
    }

    .card-footer-content {
        flex-direction: column;
        align-items: flex-start !important;
        gap: 11px;
    }

    .service-card .arrow-btn {
        width: 36px;
        height: 36px;
        min-width: 36px;
    }

    .services-section .row.g-4.mb-5 {
        gap: 15px 0 !important;
        padding: 0 !important;
        margin: 0 -6px 35px !important;
    }

    .services-section .col-md-6.col-lg-3.col-6 {
        padding: 0 6px;
        margin: 0;
    }

    .container {
        padding: 0 20px;
    }

    .cta-image-wrapper {
        right: 0;
        bottom: -59px;
        position: absolute;
    }

    .navbar.navbar-pill {
        width: 92%;
    }

    .services-section .btn.btn-warning {
        padding: 16px 20px;
        font-size: 1rem;
        letter-spacing: 0;
    }

    .cta-wrapper {
        padding: 30px 20px 120px;
        background-size: cover;
        border: none;
    }

    .cta-features {
        /* justify-content: flex-start; */
        flex-wrap: nowrap;
        gap: 16px !important;
        text-align: left;
        font-size: 13px;
    }

    .cta-section .btn.btn-warning {
        padding: 16px 38px !important;
        font-size: 1rem !important;
    }

    .trust-section-new .section-title br {
        display: none;
    }

    .trust-new-card-inner {
        height: 100%;
        padding: 54px 10px 20px 10px;
    }

    .trust-card-title {
        font-size: 1rem;
        line-height: 131%;
    }

    .icon-circle-new {
        width: 75px;
        height: 75px;
        top: -39px;
    }

    .trust-sec-img {
        margin-top: -162px;
    }

    .trust-section-new .row {
        margin: 0 -6px !important;
    }

    .trust-section-new .col-md-6.col-lg-4.col-6 {
        padding: 0 6px;
        margin: 0;
    }

    .trust-sec-img img {
        height: 450px;
    }

    .process-section {
        margin-top: -40px;
    }

    .step-icon {
        width: 80px;
        height: 80px;
    }

    .step-icon img {
        width: 40px !important;
        height: 40px !important;
    }

    .process-card h4 {
        margin-bottom: 10px;
    }

    .gallery-item {
        padding: 6px;
    }

    .gallery-section .row {
        margin: 0 -5px;
    }

    .gallary-btn-container {
        margin-top: 2rem;
    }

    .about-img-wrapper {
        height: 370px;
        margin-bottom: 0;
        border-radius: 0;
    }

    .about-features img {
        margin-right: 0.8rem !important;
        width: 22px;
        height: auto;
    }

    .about-features {
        margin-bottom: 2rem !important;
    }

    .faq-section .section-title {
        margin-bottom: 1.5rem;
    }

    .faq-section .accordion-body {
        padding: 0 62px 15px 0px;
    }

    .faq-section .accordion-body p {
        font-size: 0.875rem;
        line-height: 144%;
        margin-bottom: 0;
    }

    .faq-section .accordion-button {
        gap: 15px;
    }

    .faq-section .accordion-button::after {
        width: 40px;
        height: 40px;
    }

    .enjoy-pool-section {
        padding: 2rem 1.5rem 20rem 1.5rem;
        background: url(../images/enjoy-pool-mobile-bg.jpg) no-repeat center center;
        background-size: 100% 100%;
        overflow: hidden;
    }

    .enjoy-pool-section .btn.btn-warning {
        padding: 14px 24px;
        font-size: 1rem;
        letter-spacing: 0;
    }

    .enjoy-pool-section h2 br {
        display: none;
    }

    .enjoy-pool-section .rating-badge {
        margin-top: clamp(1rem, 1.6vw + 1rem, 2rem);
        background: none;
        gap: 8px !important;
    }

    .footer-section {
        margin-top: -300px;
    }

    .footer-big-text {
        padding-top: 0;
    }

    .footer-logo-widget {
        text-align: left !important;
        justify-content: flex-start !important;
    }

    .footer-row {
        padding-bottom: 0 !important;
    }

    .social-icons {
        justify-content: flex-start !important;
        margin-bottom: 10px;
    }

    .trust-wrapper .col-6.col-md-3:nth-child(2)::after {
        display: none;
    }

    .hero-banner {
        background: url(../images/mobile-banner.png) no-repeat center top;
        padding-top: 160px;
        padding-bottom: 180px;
        height: 1233px;
        background-size: 100% 100%;
        align-items: flex-start !important;
    }

    .banner-features {
        gap: 10px 0;
        margin-bottom: 35px;
        flex-direction: column;
    }

    .hero-banner .lead {
        font-size: 1rem;
        line-height: 151%;
        margin-bottom: 15px;
    }

    .banner-features li {
        font-size: 1rem;
        padding-right: 0;
        width: 100% !important;
    }


    .about-us-banner .about-us-banner-bg {
        height: 390px;
    }

    .about-us-banner h1 {
        left: 20px;
    }

    .who-we-are .btn.btn-warning {
        padding: 16px 30px;
    }

    .mission-wrapper .rating-badge {
        right: 0;
        bottom: -26px;
        padding-left: 15px !important;
    }

    .suppliers-wrapper {
        padding-bottom: 48px;
    }

    .suppliers-wrapper .row.mb-5 {
        margin-bottom: 1.5rem !important;
    }

    .mission-image-container {
        padding: 0 !important;
    }

    .values-icon-wrapper {
        margin-left: auto;
        margin-right: auto;
    }

    .values-wrapper .row.justify-content-center.mb-5 {
        margin-bottom: 1rem !important;
    }

    .about-trust-sec.trust-section-new .btn.btn-warning {
        padding: 16px 30px;
    }

    .commitment-display-text {
        font-size: 1.6rem;
    }

    .decor-asset-skimmer img {
        max-width: 140px;
    }

    .decor-asset-van img {
        max-width: 147px;
    }

    .decor-asset-skimmer {
        top: -6px;
        left: 0;
    }


    .community-img {
        border-radius: 20px;
    }

    .community-cta {
        width: 100%;
        padding: 16px 20px !important;
    }

    .community-wrapper .row.mb-5 {
        margin-bottom: 1rem !important;
    }

    .contact-title br {
        display: none;
    }

    .contact .col-lg-8.p-4.p-md-5.bg-light-gray::after {
        display: none;
    }

    .contact-form {
        padding: 25px 20px;
        border-radius: 15px;
        background: #EDEFF8;
        margin-bottom: 20px;
    }

    .contact .col-lg-8.p-4.p-md-5.bg-light-gray {
        padding: 0.8rem !important;
    }

    .contact-info-content {
        font-size: 15px;
    }

    .info-items-wrapper.bg-white.rounded-4.p-4.mb-4 {
        padding: 1rem !important;
    }

    .contact-info-card {
        border-radius: 19px;
        padding: 20px;
    }

    .contact .row.justify-content-center.mb-5 {
        margin-bottom: 1rem !important;
    }

    .contact-info-card .btn-call-content {
        font-size: 16px;
        height: 56px;
        margin-left: 2px;
        padding: 0 24px 0 6px;
    }

    .google-map-section {
        padding-top: 3.5rem;
    }

    .map-wrapper iframe {
        height: 300px;
    }


}


@media (max-width: 575px) {
    .location-details-section {
        padding: 3rem 0;
    }

    .location-cta-btn {
        width: 100%;
        padding: 14px 20px;
        font-size: 1rem;
    }

    .location-values .values-card-title {
        font-size: 1.1rem;
    }

    .location-values .row.g-4.justify-content-center.text-center {
        margin: 0 -6px !important;
        gap: 13px 0;
    }

    .location-values .col-lg-3.col-md-6.col-6 {
        padding: 0 6px;
        margin: 0;
    }

    .values-wrapper {
        padding-top: 0.5rem !important;
    }

    .trust-section-new .btn.btn-warning {
        padding: 16px 25px;
    }

    .process-section.position-relative.location-process-section {
        margin-top: 15px;
    }

    .about-us-banner h1 br {
        display: none;
    }

    .about-us-banner .container {
        top: 50%;
    }

    .about-section.commercial-pool .col-lg-6:last-child {
        order: 1;
    }

    .about-section.commercial-pool .col-lg-6:first-child {
        order: 2;
    }

    .reliable-expert-review .rating-badge {
        max-width: 100%;
        width: 100%;
        bottom: -25px;
    }

    .about-section.location-about.commercial-pool {
        margin-top: 2rem;
    }

    .footer-section.footer-inner-pages {
        margin-top: 0;
        padding-top: 0;
    }

    .pool-sec {
        margin-bottom: 50px;
    }

    .cta-image-wrapper img {
        height: auto;
    }

    .problem-list li {
        align-items: flex-start !important;
    }

    .text-rating.small {
        margin-left: 8px;
    }

    .trusted-client {
        font-size: 14px;
    }

    .trust-badge {
        font-size: 0.75rem;
    }

    .enjoy-pool-list-text {
        font-size: 17px;
    }

    .enjoy-pool-section .col-md-6.mb-3 {
        margin-bottom: 0.7rem !important;
    }

    .about-us-banner .container {
        width: 100%;
    }

    .about-us-banner .container {
        left: 50%;
    }

    .location-template-default .location-details-section {
        padding-bottom: clamp(2rem, 6vw, 6rem);
    }

    .page-template-services-page-template .services-section .row.g-4.mb-5 {
        margin-bottom: 1.5rem !important;
    }

    .contact-info-card li.d-flex.align-items-center.mb-4:last-child {
        margin-bottom: 0 !important;
    }

    .contact-info-card .info-items-wrapper {
        padding: 1rem !important;
    }

    .info-items-wrapper ul li {
        margin-bottom: 0.8rem !important;
    }
}